Subject: Re: [PATCH 0/2] Use __scm_install_fd() more widely

From: Kees Cook <[email-masked]>
Date: Wed, 10 Jun 2020 12:45:33 -0700

On Wed, Jun 10, 2020 at 11:38:00AM -0700, Jakub Kicinski wrote:
> On Wed, 10 Jun 2020 10:03:03 -0700 Kees Cook wrote:
> > If 0-day doesn't kick anything back on this tree, I'll resend the
> > series...
> 
> Well, 0-day may find more, but I can already tell you that patch 1 has
> a checkpatch error:
> 
> ERROR: "(foo*)" should be "(foo *)"
> #149: FILE: net/core/scm.c:323:
> +		(__force struct cmsghdr __user*)msg->msg_control;
> 
> total: 1 errors, 0 warnings, 0 checks, 131 lines checked
> 
> And patch 2 makes W=1 builds unhappy:
> 
> net/core/scm.c:292: warning: Function parameter or member 'file' not described in '__scm_install_fd'
> net/core/scm.c:292: warning: Function parameter or member 'ufd' not described in '__scm_install_fd'
> net/core/scm.c:292: warning: Function parameter or member 'o_flags' not described in '__scm_install_fd'

Yeah, there are a few more problems too. I'll get it nailed down
hopefully this week and send a v2.

Thanks for looking at it!

-- 
Kees Cook